### Property

# FwupdPlugin UdevDevice:device-file

since: 1.3.1

#### Declaration

    property device-file: utf8 [ read, write ]

#### Description [src]

The low level file to use for device access.

Type:`gchar*`

Available since: 1.3.1

Default value | NULL
Getter method | `fu_udev_device_get_device_file()`
Setter method | `fu_udev_device_set_device_file()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no